> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Deep Research



## OpenAPI

````yaml api-reference/v1-openapi.json GET /deep-research/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: >-
    API for interacting with Firecrawl services to perform web scraping and
    crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /deep-research/{id}:
    parameters:
      - name: id
        in: path
        description: The ID of the research job
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Research
      summary: Get the status and results of a deep research operation
      operationId: getDeepResearchStatus
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      finalAnalysis:
                        type: string
                      json:
                        type: object
                        description: Displayed when using JSON format
                        nullable: true
                      activities:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            status:
                              type: string
                            message:
                              type: string
                            timestamp:
                              type: string
                              format: date-time
                            depth:
                              type: integer
                      sources:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                            title:
                              oneOf:
                                - type: string
                                - type: array
                                  items:
                                    type: string
                              description: >-
                                Title extracted from the page, can be a string
                                or array of strings
                            description:
                              oneOf:
                                - type: string
                                - type: array
                                  items:
                                    type: string
                              description: >-
                                Description extracted from the page, can be a
                                string or array of strings
                            favicon:
                              type: string
                      status:
                        type: string
                        enum:
                          - processing
                          - completed
                          - failed
                      error:
                        type: string
                      expiresAt:
                        type: string
                        format: date-time
                      currentDepth:
                        type: integer
                      maxDepth:
                        type: integer
                      totalUrls:
                        type: integer
        '404':
          description: Research job not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Research job not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````